#!/usr/bin/env python
# coding: utf-8

#
# From: https://pypi.python.org/pypi/pytranslate/0.1.3
#		https://github.com/stockrt/pytranslate
#
# revised and corrected:
#		BULIN Claude
#		http://www.xcfa.tuxfamily.org/
#

import sys
import urllib
import urllib.request

### DEFINES_START ###
LANG_CODES = {
	'afrikaans': 'af',
	'albanian': 'sq',
	'arabic': 'ar',
	'belarusian': 'be',
	'bulgarian': 'bg',
	'catalan': 'ca',
	'chinese': 'zh',
	'croatian': 'hr',
	'czech': 'cs',
	'danish': 'da',
	'dutch': 'nl',
	'english': 'en',
	'estonian': 'et',
	'filipino': 'tl',
	'finnish': 'fi',
	'french': 'fr',
	'galician': 'gl',
	'german': 'de',
	'greek': 'el',
	'hebrew': 'iw',
	'hindi': 'hi',
	'hungarian': 'hu',
	'icelandic': 'is',
	'indonesian': 'id',
	'irish': 'ga',
	'italian': 'it',
	'japanese': 'ja',
	'korean': 'ko',
	'latvian': 'lv',
	'lithuanian': 'lt',
	'macedonian': 'mk',
	'malay': 'ms',
	'maltese': 'mt',
	'norwegian': 'no',
	'persian': 'fa',
	'polish': 'pl',
	'portuguese': 'pt',
	'romanian': 'ro',
	'russian': 'ru',
	'serbian': 'sr',
	'slovak': 'sk',
	'slovenian': 'sl',
	'spanish': 'es',
	'swahili': 'sw',
	'swedish': 'sv',
	'thai': 'th',
	'turkish': 'tr',
	'ukrainian': 'uk',
	'vietnamese': 'vi',
	'welsh': 'cy',
	'yiddish': 'yi',
	'auto': 'auto',
}
### DEFINES_END ###

def translate(text, sl='auto', tl='portuguese'):

	urllib.request.FancyURLopener.version = 'Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.0.1) Gecko/2008070400 SUSE/3.0.1-0.1 Firefox/3.0.1'
	f = urllib.request.FancyURLopener()
	post_params = urllib.parse.urlencode({'client':'t', 'text':text, 'sl':'%s' % (LANG_CODES[sl.lower()]), 'tl':'%s' % (LANG_CODES[tl.lower()])})
	content = f.open('http://translate.google.com/translate_a/t', post_params).read()

	a = content.decode()
	begin = a.find( '"' )
	begin += 1
	end   = a.find( '"', begin )
	string = ""
	while begin < end:
		string += a[ begin ]
		begin += 1
	return text, string

def main():
	print( '' )
	chaine, string = translate( 'Hello the world', sl='auto', tl='greek')
	print( "CHAINE = ", chaine, "  TRANSLATE = ", string )
	chaine, string = translate( 'Hello the world', sl='auto', tl='japanese')
	print( "CHAINE = ", chaine, "  TRANSLATE = ", string )
	chaine, string = translate( 'Hello the world', sl='auto', tl='french')
	print( "CHAINE = ", chaine, "  TRANSLATE = ", string )
	chaine, string = translate( 'Hello the world', sl='auto', tl='german')
	print( "CHAINE = ", chaine, "  TRANSLATE = ", string )
	chaine, string = translate( 'Hello the world', sl='auto', tl='dutch')
	print( "CHAINE = ", chaine, "  TRANSLATE = ", string )
	chaine, string = translate( 'Hello the world', sl='auto', tl='galician')
	print( "CHAINE = ", chaine, "  TRANSLATE = ", string )
	chaine, string = translate( 'Hello the world', sl='auto', tl='spanish')
	print( "CHAINE = ", chaine, "  TRANSLATE = ", string )
	chaine, string = translate( 'Je viens de trouver un programme de traduction', sl='auto', tl='greek')
	print( "CHAINE = ", chaine, "  TRANSLATE = ", string )

if __name__ == '__main__':
	main()





